DRM_IRQ_INSTALL(9)

NAME
drm_irq_install - install IRQ handler

SYNOPSIS

int drm_irq_install(struct drm_device * dev, int irq);

ARGUMENTS

dev
    DRM device

irq
    IRQ number to install the handler for

DESCRIPTION

Initializes the IRQ related data. Installs the handler, calling the driver irq_preinstall and irq_postinstall functions before and after the installation.

This is the simplified helper interface provided for drivers with no special needs. Drivers which need to install interrupt handlers for multiple interrupts must instead set drm_device->irq_enabled to signal the DRM core that vblank interrupts are available.

RETURNS

Zero on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT